%define upstream_name    Devel-Refcount
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Obtain the REFCNT value of a referent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
This module provides a single function which obtains the reference count of
the object being pointed to by the passed reference value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.100.0-19.mga10
+ Revision: 2234141
- Mageia 10 Mass Rebuild

* Mon Jan 20 2025 wally <wally> 0.100.0-18.mga10
+ Revision: 2140090
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 0.100.0-17.mga10
+ Revision: 2089625
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.100.0-16.mga10
+ Revision: 2012317
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.100.0-15.mga9
+ Revision: 1875088
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-14.mga9
+ Revision: 1795279
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.100.0-13.mga8
+ Revision: 1606974
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-12.mga8
+ Revision: 1508323
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-11.mga7
+ Revision: 1292810
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-10.mga7
+ Revision: 1250091
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.100.0-9.mga7
+ Revision: 1164066
- rebuild with fixed rpm for missing autodeps

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga7
+ Revision: 1025593
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 957176
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-6.mga6
+ Revision: 843824
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 747346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 684331
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-3.mga5
+ Revision: 631078
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 537065
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 486214
- update to 0.10

* Wed May 29 2013 tv <tv> 0.90.0-4.mga4
+ Revision: 430045
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-3.mga3
+ Revision: 365798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 250535
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106819
- update to 0.09

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-3.mga2
+ Revision: 104183
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.70.0-2.mga1
+ Revision: 30142
- mageia rebuild
- imported package perl-Devel-Refcount


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-2mdv2011.0
+ Revision: 555238
- rebuild

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 494441
- update to 0.07

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 395362
- update to 0.06

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 390464
- import perl-Devel-Refcount


* Mon Jun 29 2009 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist

